Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 15-02-2011 17:21:32

turbo-gus
Membre
Lieu : Dunkerque
Distrib. : Debian GNU/Linux 6.0 ( Squeeze )
Noyau : 2.6.32-5-686
(G)UI : Gnome 2.30.2
Inscription : 15-02-2011

flashplugin-nonfree refuse de s'installer correctement [RESOLU]

Bonjour à tous !

Voici plusieurs jours ( depuis la sortie de debian squeeze exactement ), que je cherche à installer le flashplugin. Non que cela me soit indispensable , mais mon amie consulte souvent des vidéos sur les sites de type "m6 replay" et le plugin gnash ou swf ne permettent pas de lire correctement les vidéos.

Etant avant sur debian lenny, je n'ais eu aucun problème pour l'utiliser. Sur debian squeeze, j'ai activé les dépots "contrib" et non-free, puis ajouté les dépots backport ( main/contrib/nonfree ) et multimedia ( main/non-free + src ).
La commande apt-get install trouve bien le plugin, mais lors de la configuration de celui-ci, plantage : il cherche absolument à récupérer une somme de contrôle sur un site via wget...? Voici le résultat de ma console :

[c]root@guillaume-desktop:/home/guillaume# apt-get install flashplugin-nonfree
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Paquets suggérés :
  konqueror-nsplugins msttcorefonts ttf-xfree86-nonfree flashplugin-nonfree-extrasound
Les NOUVEAUX paquets suivants seront installés :
  flashplugin-nonfree
0 mis à jour, 1 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 17,9 ko dans les archives.
Après cette opération, 135 ko d'espace disque supplémentaires seront utilisés.
Réception de : 1 http://ftp.fr.debian.org/debian/ squeeze/contrib flashplugin-nonfree i386 1:2.8.2 [17,9 kB]
17,9 ko réceptionnés en 15s (1 180 o/s)           
Sélection du paquet flashplugin-nonfree précédemment désélectionné.
(Lecture de la base de données... 117661 fichiers et répertoires déjà installés.)
Dépaquetage de flashplugin-nonfree (à partir de .../flashplugin-nonfree_1%3a2.8.2_i386.deb) ...
Traitement des actions différées (« triggers ») pour « man-db »...
Paramétrage de flashplugin-nonfree (1:2.8.2) ...
ERROR: wget failed to download http://people.debian.org/~bartm/flashpl … 86.pgp.asc
More information might be available at:
  http://wiki.debian.org/FlashPlayer[/c]

De meme, la commande apt-get -f install ne change rien.

Pour l'instant, je me suis rabattu sur l'installation du plugin via le paquet disponible sur le site officiel, mais il me semble qu'au point de vu sécurité et stabilité se n'est pas la meilleurs des solution !

Quelqu'un rencontre-t-il le meme soucis ?

Merci d'avance pour votre aide ! smile

Dernière modification par turbo-gus (16-02-2011 20:46:27)

Hors ligne

#2 15-02-2011 18:44:37

Thuban
Modérateur
Distrib. : OpenBSD
Noyau : current
(G)UI : xfce ou dwm
Inscription : 09-01-2009
Site Web

Re : flashplugin-nonfree refuse de s'installer correctement [RESOLU]

C'est bien la première fois que je vois ça hmm .

YA3HGA-H

Hors ligne

#3 15-02-2011 19:11:01

turbo-gus
Membre
Lieu : Dunkerque
Distrib. : Debian GNU/Linux 6.0 ( Squeeze )
Noyau : 2.6.32-5-686
(G)UI : Gnome 2.30.2
Inscription : 15-02-2011

Re : flashplugin-nonfree refuse de s'installer correctement [RESOLU]

Moi aussi justement ! neutral

Hors ligne

#4 15-02-2011 19:13:13

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian Stretch/Sid/Rc-Buggy
Noyau : Linux (≥ 4.3)
(G)UI : i3-wm (≥ 4.11)
Inscription : 07-07-2008
Site Web

Re : flashplugin-nonfree refuse de s'installer correctement [RESOLU]

Tu as bien wget d'installé ?

Et /usr n'est pas plein à 100% ?

Et tu n'as pas de bêtises dans ton /root/.wgetrc ?

Dernière modification par Capitaine Fab (15-02-2011 19:25:08)


captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.

Hors ligne

#5 15-02-2011 19:26:16

Haricophile
Adhérent(e)
Lieu : Pignans (Var)
Distrib. : SID
Noyau : 4.0.0-1-amd64
(G)UI : Mate / i3 selon...
Inscription : 14-09-2009

Re : flashplugin-nonfree refuse de s'installer correctement [RESOLU]

> wget failed to download

Je traduis quand même : wget n'arrive pas a télécharger le fichier.

le -f ne risque pas de télécharger plus. Peut-être que Adobe™ a changé son ftp ( une release? )

Je rappelle que flash™ c'est 1 (un) fichier a copier dans le path des plugins du navigateur. Lourde tâche que de copier un fichier, si en plus il faut trouver le chemin, ma brave dame...

Télécharger la version qui va bien ( labs.adobe.com si c'est une version beta par exemple pour le 64 bits), décompresser le .tar.gz,

Pour iceweasel de l'utilisateur courant :
$ mkdir ~/.mozilla/plugins && cp libflashplayer.so ~/.mozilla/plugins/.

pour tous les utilisateurs et epiphany dans ton cas :   
# cp libflashplayer.so /usr/lib/flashplugin-nonfree/.
ou bien pour la 32 bits
# cp libflashplayer.so /usr/lib/mozilla/plugins/.
pour la 64 bits
# cp libflashplayer.so /usr/lib64/mozilla/plugins/.

Gnash a annoncé qu'ils sont en train de réviser l'infrastructure des cookies pour être compatible avec Youtube™ (entre autres). A suivre.

A quand la fin de la pollution Flash™ ?

« Un optimiste, explique Raymond Aubrac, n’est pas un être satisfait, content de la situation actuelle. C’est quelqu’un qui pense qu’il peut faire quelque chose qui servira. »

Hors ligne

#6 15-02-2011 19:27:05

turbo-gus
Membre
Lieu : Dunkerque
Distrib. : Debian GNU/Linux 6.0 ( Squeeze )
Noyau : 2.6.32-5-686
(G)UI : Gnome 2.30.2
Inscription : 15-02-2011

Re : flashplugin-nonfree refuse de s'installer correctement [RESOLU]

Oui wget est bien installé. Je viens de faire un test en installant la version lenny du paquet. Le résultat est le même "erreur de wget"...

root@guillaume-desktop:/home/guillaume# apt-get install flashplugin-nonfree/lenny
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
E: La version  « lenny » de « flashplugin-nonfree » est introuvable
root@guillaume-desktop:/home/guillaume# apt-get install flashplugin-nonfree/lenny-backports
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Version choisie « 1:2.8.3~bpo50+1 » (Debian Backports:lenny-backports [i386]) pour « flashplugin-nonfree »
Paquets suggérés :
  konqueror-nsplugins msttcorefonts ttf-xfree86-nonfree flashplugin-nonfree-extrasound
Les NOUVEAUX paquets suivants seront installés :
  flashplugin-nonfree
0 mis à jour, 1 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 18,1 ko dans les archives.
Après cette opération, 139 ko d'espace disque supplémentaires seront utilisés.
Réception de : 1 http://backports.debian.org/debian-backports/ lenny-backports/contrib flashplugin-nonfree i386 1:2.8.3~bpo50+1 [18,1 kB]
18,1 ko réceptionnés en 15s (1 147 o/s)            
Sélection du paquet flashplugin-nonfree précédemment désélectionné.
(Lecture de la base de données... 117661 fichiers et répertoires déjà installés.)
Dépaquetage de flashplugin-nonfree (à partir de .../flashplugin-nonfree_1%3a2.8.3~bpo50+1_i386.deb) ...
Traitement des actions différées (« triggers ») pour « man-db »...
Paramétrage de flashplugin-nonfree (1:2.8.3~bpo50+1) ...
ERROR: wget failed to download http://people.debian.org/~bartm/flashplugin-nonfree/fp10.sha512.i386.pgp.asc
More information might be available at:
  http://wiki.debian.org/FlashPlayer


Pour info est ci cela peut servir, voici mon sources.list :

# deb cdrom:[Debian GNU/Linux 6.0.0 _Squeeze_ - Official i386 CD Binary-1 20110205-17:27]/ squeeze main

# deb cdrom:[Debian GNU/Linux 6.0.0 _Squeeze_ - Official i386 CD Binary-1 20110205-17:27]/ squeeze main

deb http://ftp.fr.debian.org/debian/ squeeze main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ squeeze main contrib non-free

deb http://security.debian.org/ squeeze/updates main contrib non-free
deb-src http://security.debian.org/ squeeze/updates main contrib non-free

deb http://ftp.fr.debian.org/debian/ squeeze-updates main
deb-src http://ftp.fr.debian.org/debian/ squeeze-updates main

deb http://backports.debian.org/debian-backports squeeze-backports main contrib non-free
#deb http://backports.debian.org/debian-backports lenny-backports main contrib non-free

deb http://www.debian-multimedia.org squeeze main non-free
deb-src http://www.debian-multimedia.org squeeze main

deb http://ftp.fr.debian.org/debian/ squeeze-proposed-updates contrib non-free main


Je précise aussi que j'ai réinstallé debian squeeze fraichement ce matin ! Donc je n'ais pas beaucoup bidouillé... smile

Dernière modification par turbo-gus (15-02-2011 19:29:55)

Hors ligne

#7 15-02-2011 19:32:49

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian Stretch/Sid/Rc-Buggy
Noyau : Linux (≥ 4.3)
(G)UI : i3-wm (≥ 4.11)
Inscription : 07-07-2008
Site Web

Re : flashplugin-nonfree refuse de s'installer correctement [RESOLU]

« Je traduis quand même : wget n'arrive pas a télécharger le fichier. »
Ça ne veut pas dire que wget est installé smile Cela dit, comme il est dans les dépendances, il devrait bien l'être… smile

Voici un extrait du code source de /usr/sbin/update-flashplugin-nonfree, qui est le script crachant ce message d'erreur :

downloadfile=fp10.sha512.i386.pgp.asc
[ `dpkg --print-architecture` != "amd64" ] || downloadfile=fp10.sha512.amd64.pgp.asc
downloadurl=http://people.debian.org/~bartm/flashplugin-nonfree/$downloadfile
wgetquiet=' -q '
wgetalways=' -nd -P . '
wgetoptions="$wgetquiet $wgetalways"
wget $wgetoptions $downloadurl \
|| die_hard_with_a_cleanup "wget failed to download $downloadurl"

Dans quels cas est-ce que ça peut ch*er ?
1) wget pas installé (alors qu'il l'est) ou mal configuré (fichier .wgetrc pourri)
2) URL pas bonne (alors qu'elle l'est, je l'ai testée chez moi)
3) erreur de l'écriture du fichier (fs plein, pas d'inode dispo, etc.)
4) erreur réseau (route pas bonne, resolv pas bon, blacklist…)

Que donne un

wget http://people.debian.org/~bartm/flashplugin-nonfree/fp10.sha512.i386.pgp.asc


?

Dernière modification par Capitaine Fab (15-02-2011 19:43:12)


captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.

Hors ligne

#8 15-02-2011 19:44:45

turbo-gus
Membre
Lieu : Dunkerque
Distrib. : Debian GNU/Linux 6.0 ( Squeeze )
Noyau : 2.6.32-5-686
(G)UI : Gnome 2.30.2
Inscription : 15-02-2011

Re : flashplugin-nonfree refuse de s'installer correctement [RESOLU]

J'ai réinstallé wget. La commande

debian.org/~bartm/flashplugin-nonfree/fp10.sha512.i386.pgp.asc


Me retourne :

oot@guillaume-desktop:/home/guillaume# wget http://people.debian.org/~bartm/flashplugin-nonfree/fp10.sha512.i386.pgp.asc
--2011-02-15 18:41:03--  http://people.debian.org/~bartm/flashplugin-nonfree/fp10.sha512.i386.pgp.asc
Résolution de people.debian.org... 206.12.19.5
Connexion vers people.debian.org|206.12.19.5|:80...connecté.
requête HTTP transmise, en attente de la réponse...200 OK
Longueur: 1257 (1,2K) [text/plain]
Sauvegarde en : «fp10.sha512.i386.pgp.asc»

100%[======================================>] 1 257       --.-K/s   ds 0s      

2011-02-15 18:41:18 (92,6 MB/s) - «fp10.sha512.i386.pgp.asc» sauvegardé [1257/1257]


Ce qui me semble bien ?!

Je vais tenter une réinstallation du plugin

Hors ligne

#9 15-02-2011 19:52:35

Thuban
Modérateur
Distrib. : OpenBSD
Noyau : current
(G)UI : xfce ou dwm
Inscription : 09-01-2009
Site Web

Re : flashplugin-nonfree refuse de s'installer correctement [RESOLU]

Tu pourrais toujours l'installer à la main comme proposé ci-dessus.

Si à l'avenir tu veux un truc plus libre, regarde du côté de cclive (bah quoi, c'est pas bien la pub smile ).

Amitiés,
thuban

YA3HGA-H

Hors ligne

#10 15-02-2011 19:53:13

turbo-gus
Membre
Lieu : Dunkerque
Distrib. : Debian GNU/Linux 6.0 ( Squeeze )
Noyau : 2.6.32-5-686
(G)UI : Gnome 2.30.2
Inscription : 15-02-2011

Re : flashplugin-nonfree refuse de s'installer correctement [RESOLU]

Ne marche toujours pas. Et pour la technique de copier / coller le flashplugin.so à partir de l'archive, je préfèrerai plus passer via le gestionnaire de sécurité, côté stabilité et sécurité je pense que c'est mieux !

Hors ligne

#11 15-02-2011 20:19:39

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian Stretch/Sid/Rc-Buggy
Noyau : Linux (≥ 4.3)
(G)UI : i3-wm (≥ 4.11)
Inscription : 07-07-2008
Site Web

Re : flashplugin-nonfree refuse de s'installer correctement [RESOLU]

Que donnent

update-flashplugin-nonfree --uninstall --verbose


et

update-flashplugin-nonfree --install --verbose


?


captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.

Hors ligne

#12 15-02-2011 20:32:53

Haricophile
Adhérent(e)
Lieu : Pignans (Var)
Distrib. : SID
Noyau : 4.0.0-1-amd64
(G)UI : Mate / i3 selon...
Inscription : 14-09-2009

Re : flashplugin-nonfree refuse de s'installer correctement [RESOLU]

"Ne marche toujours pas. Et pour la technique de copier / coller le flashplugin.so à partir de l'archive, je préfèrerai plus passer via le gestionnaire de sécurité, côté stabilité et sécurité je pense que c'est mieux !"

Ben en fait côté sécurité, Flash ça craint assez en général. En dehors des failles béantes passées (croyons en l'avenir et à Bisounours président en 2012), supprime régulièrement le contenu de ~/.macromedia et ~/.adobe dans lesquels s'incrustent super-cookies, espiogiciels variés et autres @☭⎈⁂㌶☣☠☠☠⚡(((●~*  qui contournent les règles de sécuritées du navigateur puisque flash c'est une application téléchargeable, pas du web.

Ou alors installe l'addon "betterprivacy" dans Iceweasel

A ce niveau Gnash est bien plus sécure puisqu'il ne stocke pas de manière permanente les @☭⎈⁂㌶☣☠☠☠⚡(((●~* dans ton dossier, sans compter que le code opensource ne permet ni la politique de l'autruche ni de pourrir le code avec des choses à finalité non techniques.

« Un optimiste, explique Raymond Aubrac, n’est pas un être satisfait, content de la situation actuelle. C’est quelqu’un qui pense qu’il peut faire quelque chose qui servira. »

Hors ligne

#13 16-02-2011 15:40:46

deb2deb
Membre
Distrib. : Version testing (wheezy) 64 bits
Noyau : Noyau Linux 3.2.0-2-amd64
(G)UI : GNOME 3.4.1
Inscription : 12-02-2011

Re : flashplugin-nonfree refuse de s'installer correctement [RESOLU]

root@guillaume-desktop:/home/guillaume# apt-get install flashplugin-nonfree/lenny-backports


Si tu as installé une squeeze toute fraîche, les backports sont inutiles. Le paquet flashplugin-nonfree se trouve désormais dans les dépôts "officiels" de debian (section non-free, bien sûr).

Hors ligne

#14 16-02-2011 20:46:04

turbo-gus
Membre
Lieu : Dunkerque
Distrib. : Debian GNU/Linux 6.0 ( Squeeze )
Noyau : 2.6.32-5-686
(G)UI : Gnome 2.30.2
Inscription : 15-02-2011

Re : flashplugin-nonfree refuse de s'installer correctement [RESOLU]

En effet, j'ai désactivé les dépots backports et multimédia et j'ai enfin réussi à installer ce plugin, la réponse était dans le retour console :

More information might be available at:
  http://wiki.debian.org/FlashPlayer


sur cette page, il explique qu'il faut faire un upgrade de l'installation du plugin avec la commande : update-flashplugin-nonfree --install

Par contre merci pour l'info Haricophile, je savais que ce plugin pouvait poser problème, mais pas à ce point ! (enregistrement de cookies ).

Je vais pouvoir passer à l'installation de debian sur le " pc de madame", quant au mien, je vais rester sur gnash, vu que je ne regarde pas souvent de vidéos sur le net. En espérant une avançée assez rapide du dévelloppement de gnash !

Merci à tous pour votre aide ! smile

Hors ligne

Pied de page des forums